org.apache.cassandra.scheduler

## Interface WeightedQueueMBean

- Deprecated.

      @Deprecated
      public interface WeightedQueueMBean

  Exposes client request scheduling metrics for a particular scheduler queue.
  See Also:
    `LatencyMetrics`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getOperations()` Deprecated.
    `long[]` | `getRecentLatencyHistogramMicros()` Deprecated.
    `double` | `getRecentLatencyMicros()` Deprecated.
    `long[]` | `getTotalLatencyHistogramMicros()` Deprecated.
    `long` | `getTotalLatencyMicros()` Deprecated.

- - ### Method Detail

    - #### getOperations

          long getOperations()

      Deprecated.

    - #### getTotalLatencyMicros

          long getTotalLatencyMicros()

      Deprecated.

    - #### getRecentLatencyMicros

          double getRecentLatencyMicros()

      Deprecated.

    - #### getTotalLatencyHistogramMicros

          long[] getTotalLatencyHistogramMicros()

      Deprecated.

    - #### getRecentLatencyHistogramMicros

          long[] getRecentLatencyHistogramMicros()

      Deprecated.

Copyright © 2014 The Apache Software Foundation